QAccessibleObject(3qt)

NAME
QAccessibleObject - Implements parts of the QAccessibleInterface for QObjects

SYNOPSIS
#include <ntqaccessible.h>

Inherits TQObject and QAccessibleInterface.

  Public Members
QAccessibleObject ( TQObject * object )
virtual ~QAccessibleObject ()

  Protected Members
TQObject * object () const

DESCRIPTION
The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface should use this class as the base class.

See also Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QAccessibleObject::QAccessibleObject ( TQObject * object )
Creates a QAccessibleObject for object.

QAccessibleObject::~QAccessibleObject () [virtual]
Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

TQObject * QAccessibleObject::object () const [protected]
Returns the TQObject for which this QAccessibleInterface implementation provides information. Use isValid() to make sure the object pointer is safe to use.

SEE ALSO
http://doc.trolltech.com/qaccessibleobject.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqaccessibleobject.3qt) and the Qt version (3.3.8).